UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_Lbmmon__DROMonMsg__Stats__Portal__Peer__Send Struct Reference

## Data Fields
ProtobufCMessage | base
uint64_t | data_fragments_forwarded
uint64_t | data_fragment_bytes_forwarded
uint64_t | data_fragments_sent
uint64_t | data_fragment_bytes_sent
uint64_t | data_fragments_dropped_dup
uint64_t | data_fragment_bytes_dropped_dup
uint64_t | data_fragments_dropped_would_block
uint64_t | data_fragment_bytes_dropped_would_block
uint64_t | data_fragments_dropped_not_operational
uint64_t | data_fragment_bytes_dropped_not_operational
uint64_t | data_fragments_dropped_queue_failure
uint64_t | data_fragment_bytes_dropped_queue_failure
uint64_t | unicast_msgs_forwarded
uint64_t | unicast_msg_bytes_forwarded
uint64_t | unicast_msgs_sent
uint64_t | unicast_msg_bytes_sent
uint64_t | unicast_msgs_dropped_would_block
uint64_t | unicast_msg_bytes_dropped_would_block
uint64_t | unicast_msgs_dropped_not_operational
uint64_t | unicast_msg_bytes_dropped_not_operational
uint64_t | unicast_msgs_dropped_queue_failure
uint64_t | unicast_msg_bytes_dropped_queue_failure
uint64_t | gateway_cntl_msgs
uint64_t | gateway_cntl_msg_bytes
uint64_t | gateway_cntl_msgs_sent
uint64_t | gateway_cntl_msg_bytes_sent
uint64_t | gateway_cntl_msgs_dropped_would_block
uint64_t | gateway_cntl_msg_bytes_dropped_would_block
uint64_t | gateway_cntl_msgs_dropped_not_operational
uint64_t | gateway_cntl_msg_bytes_dropped_not_operational
uint64_t | gateway_cntl_msgs_dropped_queue_failure
uint64_t | gateway_cntl_msg_bytes_dropped_queue_failure
uint64_t | batches
uint64_t | batch_msgs_min
uint64_t | batch_msgs_mean
uint64_t | batch_msgs_max
uint64_t | batch_bytes_min
uint64_t | batch_bytes_mean
uint64_t | batch_bytes_max
uint64_t | data_bytes_enqueued
uint64_t | data_bytes_enqueued_max
uint64_t | data_bytes_enqueued_limit
uint64_t | rtt_samples
uint64_t | rtt_min
uint64_t | rtt_mean
uint64_t | rtt_max
uint64_t | last_ka_time
uint64_t | unicast_msg_bytes_enqueued
uint64_t | unicast_msg_bytes_enqueued_max
uint64_t | unicast_msg_bytes_enqueued_limit

## Field Documentation

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::batch_bytes_max

Maximum number of bytes per batch.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::batch_bytes_mean

Mean number of bytes per batch.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::batch_bytes_min

Minimum number of bytes per batch.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::batch_msgs_max

Maximum number of messages per batch.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::batch_msgs_mean

Mean number of messages per batch.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::batch_msgs_min

Minimum number of messages per batch.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::batches

Number of message batches.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::data_bytes_enqueued

Current data bytes enqueued internally.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::data_bytes_enqueued_limit

Configured maximum data bytes allowed in queued.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::data_bytes_enqueued_max

Maximum data bytes enqueued internally.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::data_fragment_bytes_dropped_dup

Duplicate data fragment bytes dropped.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::data_fragment_bytes_dropped_not_operational

Data fragment bytes dropped due to portal not being operational.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::data_fragment_bytes_dropped_queue_failure

Data fragment bytes dropped due to queueing failure.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::data_fragment_bytes_dropped_would_block

Data fragment bytes dropped due to EWOULDBLOCK.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::data_fragment_bytes_forwarded

Data fragment bytes forwarded to this portal.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::data_fragment_bytes_sent

Data fragment bytes sent.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::data_fragments_dropped_dup

Duplicate data fragments dropped.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::data_fragments_dropped_not_operational

Data fragments dropped due to portal not being operational.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::data_fragments_dropped_queue_failure

Data fragments dropped due to queueing failure.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::data_fragments_dropped_would_block

Data fragments dropped due to EWOULDBLOCK.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::data_fragments_forwarded

Data fragments forwarded to this portal.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::data_fragments_sent

Data fragments sent.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::gateway_cntl_msg_bytes

DRO control message bytes.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::gateway_cntl_msg_bytes_dropped_not_operational

DRO control message bytes dropped due to portal not being operational.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::gateway_cntl_msg_bytes_dropped_queue_failure

DRO control message bytes dropped due to queueing failure.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::gateway_cntl_msg_bytes_dropped_would_block

DRO control message bytes dropped due to EWOULDBLOCK.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::gateway_cntl_msg_bytes_sent

DRO control message bytes sent.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::gateway_cntl_msgs

DRO control messages.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::gateway_cntl_msgs_dropped_not_operational

DRO control messages dropped due to portal not being operational.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::gateway_cntl_msgs_dropped_queue_failure

DRO control messages dropped due to queueing failure.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::gateway_cntl_msgs_dropped_would_block

DRO control messages dropped due to EWOULDBLOCK.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::gateway_cntl_msgs_sent

DRO control messages sent.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::last_ka_time

Last keepalive responded to.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::rtt_max

Maximum RTT to companion.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::rtt_mean

Mean RTT to companion.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::rtt_min

Minimum RTT to companion.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::rtt_samples

Total RTT samples.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::unicast_msg_bytes_dropped_not_operational

Unicast message bytes dropped due to portal not being operational.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::unicast_msg_bytes_dropped_queue_failure

Unicast message bytes dropped due to queueing failure.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::unicast_msg_bytes_dropped_would_block

Unicast message bytes dropped due to EWOULDBLOCK.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::unicast_msg_bytes_enqueued

Current UIM Message bytes queued internally.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::unicast_msg_bytes_enqueued_limit

UIM Message bytes Queue Limit.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::unicast_msg_bytes_enqueued_max

Maximum UIM Message bytes queued.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::unicast_msg_bytes_forwarded

Unicast message bytes forwarded to this portal.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::unicast_msg_bytes_sent

Unicast message bytes sent.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::unicast_msgs_dropped_not_operational

Unicast messages dropped due to portal not being operational.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::unicast_msgs_dropped_queue_failure

Unicast messages dropped due to queueing failure.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::unicast_msgs_dropped_would_block

Unicast messages dropped due to EWOULDBLOCK.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::unicast_msgs_forwarded

Unicast messages forwarded to this portal.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Peer__Send::unicast_msgs_sent

Unicast messages sent.

The documentation for this struct was generated from the following file:

- dro_mon.pb-c.h